## com.typesafe.config
Class ConfigException.UnresolvedSubstitution

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.typesafe.config.ConfigException
                      com.typesafe.config.ConfigException.Parse
                          com.typesafe.config.ConfigException.UnresolvedSubstitution

All Implemented Interfaces:
  Serializable

Enclosing class:
  ConfigException

    public static class ConfigException.UnresolvedSubstitution

extends ConfigException.Parse

Exception indicating that a substitution did not resolve to anything. Thrown by `Config.resolve()`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.typesafe.config.ConfigException
`ConfigException.BadPath, ConfigException.BadValue, ConfigException.BugOrBroken, ConfigException.Generic, ConfigException.IO, ConfigException.Missing, ConfigException.NotResolved, ConfigException.Null, ConfigException.Parse, ConfigException.UnresolvedSubstitution, ConfigException.ValidationFailed, ConfigException.ValidationProblem, ConfigException.WrongType`

Constructor Summary
`ConfigException.UnresolvedSubstitution(ConfigOrigin origin, String detail)`
`ConfigException.UnresolvedSubstitution(ConfigOrigin origin, String detail, Throwable cause)`

Method Summary

Methods inherited from class com.typesafe.config.ConfigException
`origin`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigException.UnresolvedSubstitution

    public ConfigException.UnresolvedSubstitution(ConfigOrigin origin,
                                                  String detail,
                                                  Throwable cause)

### ConfigException.UnresolvedSubstitution

    public ConfigException.UnresolvedSubstitution(ConfigOrigin origin,
                                                  String detail)